
    // чтоб при переключении аккаунтов не обновлялись все другие вкладки ВК
    
    window['BroadcastChannel__OLD'] = window['BroadcastChannel'];

    delete window["BroadcastChannel"];

    class BroadcastChannel extends BroadcastChannel__OLD { 
        
        constructor(name) {

            if ("vkid:multiaccounts" == name) {
                return false;
            }

            return new BroadcastChannel__OLD(name);
        }
    }

    window['BroadcastChannel'] = BroadcastChannel;


    window.addEventListener("message", function(event) {

        if (event.source != window || !event.data.type)
            return true;
        
        if ("getFromVK" === event.data.type) {

            let p = window;
            event.data.str.split('.').forEach(_=>{
                p = p?.[_];
            });

            window.postMessage({
                type : "getFromVK_resp",
                hash : event.data.hash,
                val  : JSON.stringify(p)
            }, '*');
        }
    });

